#include "EasyNextionLibrary.h"  // Nástroje → Spravovat knihovny (zkratka Ctrl+Shift+I) → Vyhledat „Easy Nextion Library" by „Athanasios Seitanis”, „v 1.0.6”

EasyNex myNex(Serial); 

void setup(){
  myNex.begin(9600); // Nastavení baud ratu
  
  pinMode(LED_BUILTIN, OUTPUT);   // Inicializace zabudované LED
  digitalWrite(LED_BUILTIN, LOW);   // Vypnutí zaduvané LED 
}

void loop(){
  myNex.NextionListen();    //funkce knihovny, musí být vždy použita v loopu, hlídá nám zmáčknutí tlačítka

  /* podmínka, když svítí zabudovaná LED provede se první úkon, jinak se provede příkaz else */
  if (digitalRead(LED_BUILTIN) == HIGH)
  {
     myNex.writeStr("t1.txt", "LED JE ZAPNUTA");  // Nastaví text v textovým poli t1 na text LED JE ZAPNUTA
  }
  else 
  {
     myNex.writeStr("t1.txt", "LED JE VYPNUTA");  // nastaví text v textovým poli t1 na text LED JE VYPNUTA
  }
  
}

void trigger0(){
  // Funkce se zavolá když do seriové linky přijde 23 02 54 00. Toto jsme nastavili v Nextion Editoru,
  // vždy když uvolníme tlačítko 1, zpustí se nám příkaz  printh 23 02 54 00 

    digitalWrite(LED_BUILTIN, HIGH); 
    myNex.writeNum("b0.bco", 2016);    // Nastaví tlačítko b0 na barvu ZELENOU (2016) 
     myNex.writeNum("b1.bco", 63488);   // Nastaví tlačítko b1 na barvu ČERVENOU (63488)
}

void trigger1(){
  // Funkce se zavolá když do seriové linky přijde 23 02 54 01. Toto jsme nastavili v Nextion Editoru,
  // vždy když uvolníme tlačítko 1, zpustí se nám příkaz  printh 23 02 54 01
    
    digitalWrite(LED_BUILTIN, LOW);  // Vypne zabudovanou LED
    myNex.writeNum("b0.bco", 63488); // Nastaví tlačítko b1 na barvu ČERVENOU (63488)
    myNex.writeNum("b1.bco", 2016);   // Nastaví tlačítko b0 na barvu ZELENOU (2016)
                                    
}
